# PETSC_VIEWER_BINARY_

Creates a binary PetscViewer shared by all processors in a communicator.

### Synopsis

    #include "petsc.h"
    PetscViewer PETSC_DLLEXPORT PETSC_VIEWER_BINARY_(MPI_Comm comm)

Collective on MPI_Comm

### Input Parameter

comm -the MPI communicator to share the binary PetscViewer

### Options Database Keys

       -viewer_binary_filename <name>

### Environmental variables

PETSC_VIEWER_BINARY_FILENAME - Notes: Unlike almost all other PETSc routines, PETSC_VIEWER_BINARY_ does not return an error code. The binary PetscViewer is usually used in the form

          XXXView(XXX object,PETSC_VIEWER_BINARY_(comm));

### See Also

PETSC_VIEWER_BINARY_WORLD, PETSC_VIEWER_BINARY_SELF, PetscViewerBinaryOpen(), PetscViewerCreate(),
PetscViewerDestroy()

Level:intermediate
Location: src/sys/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex28.c.html